<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:layout name="Default"/>
<f:section name="content">
   <div id="immovueapp">
        <div class="row">
            <f:for as="property" each="{properties}">
                <div class="col-md-4">
                    <div class="card" style="width: 100%;">
                        <div class="card-body">
                            <h5 class="card-title">{property.title}</h5>
                            <p class="card-text">
                                <f:format.crop maxCharacters="50">{property.description}</f:format.crop>
                            </p>
                            <div class="d-flex justify-content-between ">
                                <span class="badge badge-pill badge-secondary">{property.price}</span>
                                <f:link.action action="show" class="card-link" arguments="{property: property}">More
                                </f:link.action>
                            </div>
                        </div>
                    </div>
                </div>
            </f:for>
        </div>
    </div>
    <script type="text/json" id="properties-json">
        {json->f:format.raw()}
    </script>
</f:section>
</html>